Subject: Leavitt/Olympics
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sun, 28 Oct 2001 18:38:26 -0800 (PST)

Hi Cindy.  I got a call on Friday afternoon from Utah Governor Leavitt's office asking if Mr. Lay would be willing to participate in a reception in Houston in early December for the Olympic torch relay.  They are also looking for names of other people in Enron management that should be invited. I seem to recall that Ken and/or Enron has been involved in some fashion with the Olympics in the past, and I thought you'd be the person that would know--hence this e mail.  I'd like to talk to you before I call them back.

I'll give you a call tomorrow to give you more details or feel free to buzz me if you have time.  #612-339-4599  thanks.